package hopital.evenements;

import hopital.nonVivants.EntrepotMedicament;
import hopital.vivants.Infirmiere;

public class ChercherEntrepotMedicaments extends Evenement {
	private static final long serialVersionUID = 1L;
	
	private Infirmiere infirmiere = null;
	
	// Entrepot de mdicaments de l'hpital
	public EntrepotMedicament entrepot = null;
	
	public int nbrMedicamentsAChercher = 0;
	
	public ChercherEntrepotMedicaments(Infirmiere infirmiere, EntrepotMedicament entrepot, int nbrMedicamentsAChercher) {
		this.infirmiere = infirmiere;
		this.entrepot = entrepot;
		this.nbrMedicamentsAChercher = nbrMedicamentsAChercher;
	}
	
	public String getMessage() {
		return "";
	}
	
	public String toString() {
		return infirmiere.toString() + " va chercher des mdicaments dans l'entrepot";
	}
	
	public int getMedicaments() {
		return this.infirmiere.getMedicaments();
	}
	
	public void setMedicaments(int medicaments) {
		this.infirmiere.setMedicaments(medicaments);
	}
}
